/* main-page */
.main-page {
    overflow: hidden;
    padding: 60px 0;
}

.main-page .main-page__banner {
    margin-bottom: 16px;
}

.main-page .main-page__section + .main-page__section {
    margin-top: 60px;
}

@media screen and (min-width: 1024px) {
    .main-page {
        padding: 80px 0 160px;
    }

    .main-page .main-page__banner {
        margin-bottom: 160px;
    }

    .main-page .main-page__section + .main-page__section {
        margin-top: 160px;
    }
}

/* functions-slider */
.main-banner .main-banner__background {
    width: 100%;
}

.main-banner .main-banner__content {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--black);
    padding: 0 16px 30px;
}

.main-banner .main-banner__content:after {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    display: block;
    width: 100%;
    height: 16.66666vw;
    background: linear-gradient(180deg, var(--black) 0%, rgba(0, 0, 0, 0) 50.15%);
}

.main-banner .main-banner__title {
    font-size: 32px;
    line-height: 40px;
    font-weight: 700;
    text-align: center;
    margin-bottom: 16px;
}

.main-banner .main-banner__button {
    width: 100%;
    max-width: 328px;
}

@media screen and (min-width: 1024px) {
    .main-banner .main-banner__content {
        padding: 0 16px 6px;
    }

    .main-banner .main-banner__title {
        font-size: 48px;
        line-height: 50px;
        margin-bottom: 30px;
    }

    .main-banner .main-banner__button {
        width: auto;
    }
}

/* functions-slider */
.functions-slider .functions-slider__top {
    display: none;
}

.functions-slider .functions-slider__controls {
    display: flex;
    grid-gap: 12px;
}

.functions-slider .functions-slider__pagination {
    margin-top: 16px;
}

.functions-slide {
    height: auto !important;
    border-radius: 12px;
    background-color: var(--gray-1);
    overflow: hidden;
}

.functions-slide .functions-slide__image {
    width: 100%;
}

.functions-slide .functions-slide__content {
    padding: 20px;
}

.functions-slide .functions-slide__title {
    font-size: 18px;
    line-height: 24px;
    font-weight: 700;
    margin-bottom: 8px;
}

.functions-slide .functions-slide__subtitle {
    font-size: 12px;
    line-height: 16px;
    color: var(--white-70);
}

@media screen and (min-width: 768px) {
    .functions-slide {
        display: grid;
        grid-template-columns: 328px 1fr;
        align-items: center;
    }

    .functions-slide .functions-slide__content {
        padding: 30px;
    }
}

@media screen and (min-width: 1024px) {
    .functions-slider .functions-slider__top {
        display: flex;
        justify-content: flex-end;
        margin-bottom: 30px;
    }

    .functions-slider .functions-slider__pagination {
        display: none;
    }

    .functions-slide {
        grid-template-columns: 388px 1fr;
        border-radius: 20px;
    }

    .functions-slide .functions-slide__content {
        padding: 10px;
    }

    .functions-slide .functions-slide__title {
        font-size: 32px;
        line-height: 40px;
        margin-bottom: 20px;
    }

    .functions-slide .functions-slide__subtitle {
        font-size: 16px;
        line-height: 26px;
    }
}

@media screen and (min-width: 1280px) {
    .functions-slide {
        grid-template-columns: 596px 1fr;
    }

    .functions-slide .functions-slide__content {
        padding: 0 min(20%, 220px);
    }
}

/* nozzles-slider */
.nozzles-slider .nozzles-slider__top {
    margin-bottom: 16px;
}

.nozzles-slider .nozzles-slider__title {
    font-size: 32px;
    line-height: 40px;
    font-weight: 700;
    text-align: center;
}

.nozzles-slider .nozzles-slider__controls {
    display: none;
}

.nozzles-slider .nozzles-slider__slider-wrapper {
    display: grid;
    grid-template-columns: 100%;
    grid-gap: 16px;
}

.nozzles-slider .nozzles-slider__preview {
    position: relative;
    z-index: 2;
    border-radius: 12px;
    background-color: var(--gray-1);
    padding: 20px;
}

.nozzles-slider .nozzles-slider__preview-inner {
    display: grid;
    align-items: center;
    grid-template-columns: auto 1fr;
    grid-gap: 16px;
    max-width: 288px;
    margin: 0 auto;
}

.nozzles-slider .nozzles-slider__preview-image {
    width: 87px;
}

.nozzles-slider .nozzles-slider__preview-content {

}

.nozzles-slider .nozzles-slider__preview-title {
    font-size: 20px;
    line-height: 24px;
    font-weight: 700;
    color: var(--white);
    margin-bottom: 8px;
}

.nozzles-slider .nozzles-slider__preview-text {
    font-size: 12px;
    line-height: 16px;
    color: var(--white-70);
}

.nozzles-slider .nozzles-slider__scrollbar {
    margin-top: 16px;
}

.nozzles-slide {
    position: relative;
    border-radius: 12px;
    overflow: hidden;
}

.nozzles-slide .nozzles-slide__image {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
}

.nozzles-slide .nozzles-slide__open {
    position: absolute;
    top: 12px;
    right: 12px;
}

.nozzles-slide-modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 3;
    visibility: hidden;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    transition: visibility .2s ease-in-out, background-color .2s ease-in-out;
}

.nozzles-slide-modal.nozzles-slide-modal--active {
    visibility: visible;
    background-color: var(--backdrop);
}

.nozzles-slide-modal .nozzles-slide-modal__content {
    transform: translateY(100%);
    border-radius: 12px 12px 0 0;
    background-color: var(--black);
    transition: transform .2s ease-in-out;
    padding: 20px;
}

.nozzles-slide-modal.nozzles-slide-modal--active .nozzles-slide-modal__content {
    transform: translateY(0);
}

.nozzles-slide-modal .nozzles-slide-modal__title {
    font-size: 18px;
    line-height: 24px;
    font-weight: 700;
    display: inline-block;
    min-height: 48px;
    padding-right: 68px;
    margin-bottom: 12px;
    text-decoration: none;
}

.nozzles-slide-modal .nozzles-slide-modal__close {
    position: absolute;
    top: 20px;
    right: 20px;
}

.nozzles-slide-modal .nozzles-slide-modal__text {
    font-size: 12px;
    line-height: 16px;
    color: var(--white-70);
    margin-bottom: 12px;
}

.nozzles-slide-modal .nozzles-slide-modal__more {
    width: 100%;
}

@media screen and (min-width: 768px) {
    .nozzles-slider .nozzles-slider__preview-inner {
        grid-gap: 30px;
        max-width: 434px;
    }

    .nozzles-slider .nozzles-slider__preview-text {
        font-size: 14px;
        line-height: 18px;
    }

    .nozzles-slide-modal .nozzles-slide-modal__title {
        min-height: unset;
    }

    .nozzles-slide-modal .nozzles-slide-modal__text {
        padding-right: 68px;
        margin-bottom: 20px;
    }
}

@media screen and (min-width: 1024px) {
    .nozzles-slider .nozzles-slider__top {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 30px;
    }

    .nozzles-slider .nozzles-slider__title {
        font-size: 48px;
        line-height: 50px;
        text-align: left;
    }

    .nozzles-slider .nozzles-slider__controls {
        display: flex;
        grid-gap: 12px;
    }

    .nozzles-slider .nozzles-slider__slider-wrapper {
        grid-template-columns: calc(25% - 6px) calc(75% - 2px);
        grid-gap: 8px;
    }

    .nozzles-slider .nozzles-slider__slider {
        position: relative;
        z-index: 1;
    }

    .nozzles-slider .nozzles-slider__slider:before {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        right: calc(100% + 28px);
        z-index: 2;
        width: 100vw;
        height: 100%;
        background-color: var(--black);
    }

    .nozzles-slider .nozzles-slider__preview {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        border-radius: 20px;
        padding: 10px;
    }

    .nozzles-slider .nozzles-slider__preview-inner {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        grid-gap: 10px;
        max-width: 303px;
    }

    .nozzles-slider .nozzles-slider__preview-image {
        width: 47.55775%;
    }

    .nozzles-slider .nozzles-slider__preview-content {
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .nozzles-slider .nozzles-slider__preview-title {
        font-size: 24px;
        line-height: 30px;
    }

    .nozzles-slider .nozzles-slider__scrollbar {
        max-width: 400px;
        margin: 20px auto 0;
    }

    .nozzles-slide {
        border-radius: 20px;
    }

    .nozzles-slide .nozzles-slide__open {
        top: 20px;
        right: 20px;
        opacity: 0;
        transition: opacity .2s ease-in-out, transform .2s ease-in-out;
    }

    .nozzles-slide:hover .nozzles-slide__open {
        opacity: 1;
    }

    .nozzles-slide .nozzles-slide__open:hover {
        transform: rotate(90deg);
    }

    .nozzles-slide-modal {
        position: absolute;
        opacity: 0;
        transition: visibility .2s ease-in-out, opacity .2s ease-in-out;
    }

    .nozzles-slide-modal.nozzles-slide-modal--active {
        opacity: 1;
    }

    .nozzles-slide-modal .nozzles-slide-modal__content {
        transform: none;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-end;
        height: 100%;
        background-color: #20202033;
    }

    .nozzles-slide-modal .nozzles-slide-modal__title {
        font-size: 24px;
        line-height: 30px;
        margin-bottom: 20px;
    }

    .nozzles-slide-modal .nozzles-slide-modal__close {
        transition: transform .2s ease-in-out;
    }

    .nozzles-slide-modal .nozzles-slide-modal__close:hover {
        transform: rotate(90deg);
    }

    .nozzles-slide-modal .nozzles-slide-modal__text {
        font-size: 14px;
        line-height: 18px;
        color: var(--white);
        padding-right: 0;
    }

    .nozzles-slide-modal .nozzles-slide-modal__more {
        width: auto;
    }
}

@media screen and (min-width: 1280px) {
    .nozzles-slider .nozzles-slider__preview {
        padding: 30px;
    }
    .nozzles-slider .nozzles-slider__preview-inner {
        grid-gap: 30px;
    }
    .nozzles-slider .nozzles-slider__preview-image {
        width: 47.55775%;
    }
}

@media screen and (min-width: 1440px) {
    .nozzles-slider .nozzles-slider__preview-image {
        width: 57.55775%;
    }
}

@media screen and (min-width: 1640px) {
    .nozzles-slider .nozzles-slider__preview-image {
        width: 67.55775%;
    }
}

@media screen and (min-width: 1740px) {
    .nozzles-slider .nozzles-slider__preview-image {
        width: 77.55775%;
    }
}

/* banners-slider */
.banners-slider .banners-slider__top {
    display: none;
}

.banners-slider .banners-slider__controls {
    display: flex;
    grid-gap: 12px;
}

.banners-slider .banners-slider__pagination {
    margin-top: 16px;
}

.banners-slide {
    display: block;
}

.banners-slide .banners-slide__image {
    width: 100%;
    border-radius: 12px;
}

@media screen and (min-width: 1024px) {
    .banners-slider .banners-slider__top {
        display: flex;
        justify-content: flex-end;
        margin-bottom: 30px;
    }

    .banners-slider .banners-slider__pagination {
        display: none;
    }

    .banners-slide .banners-slide__image {
        border-radius: 20px;
    }
}

/* ambassadors-slider */
.ambassadors-slider .ambassadors-slider__top {
    margin-bottom: 16px;
}

.ambassadors-slider .ambassadors-slider__title {
    font-size: 32px;
    line-height: 40px;
    font-weight: 700;
    text-align: center;
}

.ambassadors-slider .ambassadors-slider__controls {
    display: none;
}

.ambassadors-slider .ambassadors-slider__scrollbar {
    margin-top: 16px;
}

.ambassadors-slide {
    display: flex;
    flex-direction: column;
    height: auto !important;
}

.ambassadors-slide .ambassadors-slide__picture {
    flex-grow: 1;
    margin-bottom: 12px;
}

.ambassadors-slide .ambassadors-slide__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 12px;
}

.ambassadors-slide .ambassadors-slide__content {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.ambassadors-slide .ambassadors-slide__subtitle {
    font-size: 12px;
    line-height: 16px;
    color: var(--white-70);
}

.ambassadors-slide .ambassadors-slide__title {
    font-size: 16px;
    line-height: 22px;
    font-weight: 700;
    margin-bottom: 6px;
}

.ambassadors-slide .ambassadors-slide__socials {
    display: flex;
    grid-gap: 24px;
}

.ambassadors-slide .ambassadors-slide__social {
    display: flex;
}

@media screen and (min-width: 1024px) {
    .ambassadors-slider .ambassadors-slider__top {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 30px;
    }

    .ambassadors-slider .ambassadors-slider__title {
        font-size: 48px;
        line-height: 50px;
        text-align: left;
    }

    .ambassadors-slider .ambassadors-slider__controls {
        display: flex;
        grid-gap: 12px;
    }

    .ambassadors-slider .ambassadors-slider__scrollbar {
        display: none;
    }

    .ambassadors-slide .ambassadors-slide__picture {
        margin-bottom: 20px;
    }

    .ambassadors-slide .ambassadors-slide__image {
        border-radius: 20px;
    }

    .ambassadors-slide .ambassadors-slide__subtitle {
        font-size: 14px;
        line-height: 18px;
        margin-bottom: 4px;
    }

    .ambassadors-slide .ambassadors-slide__title {
        font-size: 18px;
        line-height: 24px;
    }

    .ambassadors-slide .ambassadors-slide__socials {
        grid-gap: 12px;
    }

    .ambassadors-slide .ambassadors-slide__social {
        padding: 12px;
    }
}